%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-Net-Google-SafeBrowsing2
Version:        1.13
Release:        1%{?dist}
Summary:        Perl extension for the Google Safe Browsing v2 API.

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/~jsobrier
Source0:        http://search.cpan.org/CPAN/authors/id/J/JS/JSOBRIER/Net-Google-SafeBrowsing2-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
#BuildRequires:  perl(Net::IPAddress)
BuildRequires:  perl-Net-IPAddress
#BuildRequires:	perl(Text::Trim)
BuildRequires:  perl-Text-Trim
#BuildRequires:	perl(MIME::Base64::URLSafe)
BuildRequires:  perl-MIME-Base64-URLSafe
#BuildRequires:	perl(String::HexConvert)
BuildRequires:  perl-String-HexConvert
BuildRequires:	perl(File::Slurp)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(Digest::SHA)
BuildRequires:	perl(Digest::HMAC_SHA1)
BuildRequires:  perl(IO::Socket::SSL)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
Net::Google::SafeBrowsing2 implements the Google Safe Browsing v2 API.

The library passes most of the unit tests listed in the API documentation. See the documentation (http://code.google.com/apis/safebrowsing/developers_guide_v2.html) for more details about the failed tests.

%package DBI
Summary:	Perl extension for the Google Safe Browsing v2 API. DBI.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	perl(DBI)

%description DBI
%{summary}.

%package MySQL
Summary:	Perl extension for the Google Safe Browsing v2 API. MySQL.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	perl-DBD-MySQL

%description MySQL
%{summary}.

%package Postgres
Summary:	Perl extension for the Google Safe Browsing v2 API. PostgreSQL.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	perl-DBD-Pg

%description Postgres
%{summary}.

%package Sqlite
Summary:	Perl extension for the Google Safe Browsing v2 API. Sqlite.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	perl-DBD-SQLite

%description Sqlite
%{summary}.

%prep
%setup -q -n Net-Google-SafeBrowsing2-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Net/Google/SafeBrowsing2.pm
%{perl_vendorlib}/Net/Google/SafeBrowsing2/Lookup.pm
%{perl_vendorlib}/Net/Google/SafeBrowsing2/Storage.pm
%dir %{perl_vendorlib}/Net/Google
%{_mandir}/man3/*SafeBrowsing2.3*
%{_mandir}/man3/*Lookup.3*
%{_mandir}/man3/*Storage.3*

%files DBI
%{perl_vendorlib}/Net/Google/SafeBrowsing2/DBI.pm
%{_mandir}/man3/*DBI.3*

%files MySQL
%{perl_vendorlib}/Net/Google/SafeBrowsing2/MySQL.pm
%{_mandir}/man3/*MySQL.3*

%files Postgres
%{perl_vendorlib}/Net/Google/SafeBrowsing2/Postgres.pm
%{_mandir}/man3/*Postgres.3*

%files Sqlite
%{perl_vendorlib}/Net/Google/SafeBrowsing2/Sqlite.pm
%{_mandir}/man3/*Sqlite.3*

%changelog
* Sat Mar 11 2017 momo-i <webmaster@momo-i.org> - 1.13-1
- Update to 1.13

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.12-6
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.12-5
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 1.12-4
- Rebuilt for fc22
- Update to 1.12

* Wed Jan 29 2014 momo-i <webmaster@momo-i.org> - 1.10-3
- Update to 1.10

* Tue Mar 26 2013 momo-i <webmaster@momo-i.org> 1.07-3
- split modules.

* Fri Mar  8 2013 momo-i <webmaster@momo-i.org> 1.07-1
- Initial rpm release.
